stamNet-class {stam} | R Documentation

## Classifier Net for StAM

### Description

Objects of this class describe a network of classifiers as it is used by structured analysis of microarray data.

### Objects from the Class

Objects can be created by calls of the form `new("stamNet", chip, root, probes)`, or by a call to `stam.net`.

`chip`
  the name of the chip for which the classifier net is generated.
`root`
  the GO identifier of the node where the generation of the classifier net is started.
`probes`
  a character vector holding the identifiers of the probesets in the order as they occur in the expression matrix

### Slots

`chip`:
  Object of class `"character"`, the name of the chip for which the classifier net is generated.
`root`:
  Object of class `"character"`, the GO identifier of the node where the generation of the classifier net is started.
`chippkg`:
  Object of class `"character"`, information on the version of the meta data package for the chip
`GOpkg`:
  Object of class `"character"`, information on the version of the meata data package on the Gene Ontology
`nodes`:
  Object of class `"list"`, elements are of class `stamINode` or `stamLeaf`, one for each node in the classifier net.
`leafs`:
  Object of class `"numeric"`, indices of all leaf nodes in slot `nodes`
`inodes`:
  Object of class `"numeric"`, indices of all inner nodes in slot `nodes`
`probes`:
  Object of class `"environment"`, the corresponding index for each probeset in the expression matrices to be analyzed

### Methods

print
  `signature(x = "stamNet")`: print information on the classifier net
writeHTML
  `signature(x = "stamNet")`: generate HTML information on the classifier net. However, using `stam.writeHTML` is recommended.

### Author(s)

Claudio Lottaz

### See Also

`stam.net`, `stamLeaf-class`, `stamINode-class`

[Package stam version 1.10.0 Index]